-- Q3Admin database

CREATE TABLE Aliases (
  AliasID int(11) NOT NULL auto_increment,
  Name varchar(64) NOT NULL default '',
  IP varchar(15) NOT NULL default '0',
  GUID varchar(64) default NULL,
  FirstSeen int(11) default '0',
  LastSeen int(11) default '0',
  TimesSeen int(11) default '0',
  EstTimeInGame int(11) default '0',
  PRIMARY KEY  (AliasID)
) TYPE=MyISAM COMMENT='Records Names and IP''s';

CREATE TABLE Seen (
  SeenID int(11) NOT NULL auto_increment,
  GUID text NOT NULL,
  FirstSeen int(11) default NULL,
  LastSeen int(11) default NULL,
  TimesSeen int(11) NOT NULL default '0',
  PRIMARY KEY  (SeenID),
  KEY SeenID (SeenID)
) TYPE=MyISAM;

CREATE TABLE FreqCommands (
  CommandID int(11) NOT NULL auto_increment,
  Command text NOT NULL,
  Description text NOT NULL,
  PRIMARY KEY  (CommandID),
  KEY CommandID (CommandID)
) TYPE=MyISAM;

INSERT INTO FreqCommands VALUES (1,'cmdlist','Displays a list of all Server commands available');
INSERT INTO FreqCommands VALUES (2,'systeminfo','Gives system information');
INSERT INTO FreqCommands VALUES (3,'addip ','Adds a players IP to the ban list use: addip xxx.xxx.xxx.xxx');
INSERT INTO FreqCommands VALUES (4,'removeIP ','Remove a Players IP from ban list Use: removeip xxx.xxx.xxx.xxx');
INSERT INTO FreqCommands VALUES (5,'listip','Lists all ips that are on the Servers Ban list');
INSERT INTO FreqCommands VALUES (6,'clientkick ','Kicks a player by client number use: clientkick slot_number');
INSERT INTO FreqCommands VALUES (7,'serverinfo','Gives current Server Information');
INSERT INTO FreqCommands VALUES (8,'status','Lists players on the server with client number and IP');
INSERT INTO FreqCommands VALUES (9,'kick','Kick players by name use: kick Player_name');
INSERT INTO FreqCommands VALUES (10,'vstr nextmap','Changes to the next map without locking the rotation');
INSERT INTO FreqCommands VALUES (11,'map_restart','Restarts the current map');
INSERT INTO FreqCommands VALUES (12,'map ','Changes the map use\" map q3dm6 this will lock the rotation');
INSERT INTO FreqCommands VALUES (13,'say ','Say something to everyone on the server Use: say HI');
INSERT INTO FreqCommands VALUES (14,'g_banips','Lists all the Ips that are on the ban list');
INSERT INTO FreqCommands VALUES (15,'g_dowarmup ','Causes the server to do a warmup 1=on 0=off');
INSERT INTO FreqCommands VALUES (16,'g_warmup ','Warmup time in seconds 0-120');
INSERT INTO FreqCommands VALUES (17,'g_doready ','Server will REQUIRE Players to Type READY in console 1=on 0=off');
INSERT INTO FreqCommands VALUES (18,'g_gravity ','Sets the server gravity our default is 700');
INSERT INTO FreqCommands VALUES (19,'g_maxgameclients ','Displays or sets the max number of players who may play on server');
INSERT INTO FreqCommands VALUES (20,'sv_maxclients ','Displays or sets the max number allowed to join server');
INSERT INTO FreqCommands VALUES (21,'sv_privateclients ','Displays or sets private slots use sv_privatepassword to set password');
INSERT INTO FreqCommands VALUES (22,'sv_privatepassword ','Displays the server privatepassword for admin slots or sets a new one');
INSERT INTO FreqCommands VALUES (23,'g_password ','Displays the server password for private servers or sets a new one');
INSERT INTO FreqCommands VALUES (24,'hook_enable ','Turns grapple on or off 1=on 0=off');
INSERT INTO FreqCommands VALUES (25,'hook_speed ','Sets the speed the hook flys. Our Defaut 1200');
INSERT INTO FreqCommands VALUES (26,'hook_pullspeed ','Set the speed the grapple pulls the body. Our default 1000');
INSERT INTO FreqCommands VALUES (27,'PB_SV_PList ','Displays a list of connected players and their current status');
INSERT INTO FreqCommands VALUES (28,'PB_SV_BanGuid ','Usage: PB_SV_BanGuid [guid] [player_name] [IP_Address] [reason]');
INSERT INTO FreqCommands VALUES (29,'PB_SV_BanList ','Usage: PB_SV_BanList [optional_search_text] List of bans in the console.');
INSERT INTO FreqCommands VALUES (30,'PB_SV_UnBanGuid ','Usage: PB_SV_UnBanGuid [guid] Unbans a guid from the ban list');
INSERT INTO FreqCommands VALUES (31,'PB_SV_UpdBanFile ','Usage: PB_SV_UpdBanFile [optional filename] Updates the perm ban file');
INSERT INTO FreqCommands VALUES (32,'PB_SV_BanMask ','Usage: PB_SV_BanMask [IP Address / Subnet Mask] Bans a mass IP mask ie 123.223.');
INSERT INTO FreqCommands VALUES (33,'PB_SV_Kick ','Usage: PB_SV_Kick [name or slot #] [minutes] [displayed_reason]');
INSERT INTO FreqCommands VALUES (34,'PB_SV_Ban ','Usage: PB_SV_Ban [name or slot #] [displayed_reason] | [optional_private_reason]');
INSERT INTO FreqCommands VALUES (35,'PB_SV_GetSs ','Usage: PB_SV_GetSs [player_name_or_slot#] player screen shot captured to server');
INSERT INTO FreqCommands VALUES (36,'PB_SV_Ver ','Displays the currently running version of the PunkBuster Server software');
